CREATE TABLE `company` (
    `id`                         BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    `alt_company_id`             BIGINT NOT NULL DEFAULT 0,
    `company`                    VARCHAR(100) UNIQUE NOT NULL,
    `sla`                        CHAR(1) NOT NULL DEFAULT 0,
    `title`                      VARCHAR(10),
    `name`                       VARCHAR(100),
    `surname`                    VARCHAR(100),
    `address1`                   VARCHAR(100),
    `address2`                   VARCHAR(100),
    `zipcode`                    VARCHAR(20),
    `city`                       VARCHAR(100),
    `state`                      VARCHAR(100),
    `country`                    VARCHAR(100),
    `phone`                      VARCHAR(100),
    `fax`                        VARCHAR(100),
    `email`                      VARCHAR(100),
    `active`                     CHAR(1) NOT NULL DEFAULT 1,
    `max_templates`              INTEGER NOT NULL DEFAULT 1000,
    `max_hosts`                  BIGINT NOT NULL DEFAULT 10000,
    `max_services`               BIGINT NOT NULL DEFAULT 10000,
    `max_services_per_host`      SMALLINT NOT NULL DEFAULT 100,
    `max_contacts`               SMALLINT NOT NULL DEFAULT 100,
    `max_contactgroups`          SMALLINT NOT NULL DEFAULT 100,
    `max_timeperiods`            SMALLINT NOT NULL DEFAULT 1000,
    `max_timeslices_per_object`  SMALLINT NOT NULL DEFAULT 200,
    `max_groups`                 SMALLINT NOT NULL DEFAULT 100,
    `max_users`                  SMALLINT NOT NULL DEFAULT 100,
    `max_sms`                    BIGINT NOT NULL DEFAULT 10000,
    `max_dependencies_per_host`  SMALLINT NOT NULL DEFAULT 100,
    `max_downtimes_per_host`     SMALLINT NOT NULL DEFAULT 1000,
    `max_chart_views_per_user`   BIGINT NOT NULL DEFAULT 50,
    `max_charts_per_user`        BIGINT NOT NULL DEFAULT 1000,
    `max_metrics_per_chart`      SMALLINT NOT NULL DEFAULT 50,
    `max_dashboards_per_user`    SMALLINT NOT NULL DEFAULT 50,
    `max_dashlets_per_dashboard` SMALLINT NOT NULL DEFAULT 50,
    `max_hosts_in_reg_queue`     BIGINT NOT NULL DEFAULT 1000,
    `data_retention`             SMALLINT NOT NULL DEFAULT 3650,
    `sms_enabled`                CHAR(1) DEFAULT '1',
    `sms_route`                  VARCHAR(10) DEFAULT 'gold',
    `comment`                    TEXT,
    `creation_time`              TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `expire_time`                BIGINT NOT NULL DEFAULT 0,
    `host_reg_authkey`           VARCHAR(1000) NOT NULL DEFAULT '',
    `host_reg_enabled`           CHAR(1) NOT NULL DEFAULT '0',
    `host_reg_allow_from`        VARCHAR(300) NOT NULL DEFAULT 'all',
    `variables`                  TEXT NOT NULL
) ENGINE=InnoDB;
